Component({
	properties: {
		cutBar: {
			type: Function
		}
	},
	options: {
		addGlobalClass: true,
	},
	data: {
		appid: "wx7505ddb0a1ec6146"
	},
	methods: {
		async openRecord(e) {
			const {
				it,
				item
			} = e.currentTarget.dataset;
			const res = await getApp().globalData.evidence(it);
			console.log(res)
			if (res) {
				if (it.PageCur) {
					this.triggerEvent("cutBar", it.PageCur)
				} else {
					wx.navigateTo({
						url: it.PageCur ? '#' : it.path,
					})
				}
			}
		},
		toMsg() {
			this.triggerEvent("cutBar", 'Message')
		}
	}
})